%define	major 1
%define libname	%mklibname opkele %{major}

Summary:	C++ implementation of OpenID protocol
Name:		libopkele
Version:	0.1.1
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
URL:		http://kin.klever.net/libopkele/
Source0:	http://kin.klever.net/dist/%{name}-%{version}.tar.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRequires:	libxslt-proc
BuildRequires:	libkonforka-devel
BuildRequires:	libcurl-devel
BuildRequires:	libopenssl-devel
BuildRequires:	libpcre-devel
BuildRequires:	libpcre++-devel
BuildRequires:	pqxx-devel
BuildRequires:	postgresql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libopkele is a C++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

%package -n	%{libname}
Summary:	C++ implementation of OpenID protocol
Group:          System/Libraries

%description -n	%{libname}
libopkele is a C++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

%package -n	%{libname}-devel
Summary:	Static library and header files for the libopkele library
Group:		Development/C++
Provides:	opkele-devel = %{version}
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
libopkele is a C++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

This package contains the static libopkele library and its header files.

%prep

%setup -q -n %{name}-%{version}

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.8; autoheader; automake --add-missing --copy; autoconf --force

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/opkele
%{_includedir}/opkele/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jan 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdv2007.0
+ Revision: 109979
- 0.1.1

* Mon Jan 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdv2007.1
+ Revision: 109194
- fix deps
- Import libopkele



* Sun Jan 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdv2007.1
- initial Mandriva package
